
Infrastructure - Bug #2372

CLI prints stack trace and exits on most errors.

2012-02-23 18:00 - Andrew Pippin

Status: Closed Start date: 2012-02-23

Priority: Normal Due date:  

Assignee: Andrew Pippin % Done: 100%

Category: d1_client_cli Estimated time: 0.00 hour

Target version: Sprint-2012.09-Block.2.1   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

The user shouldn't see a stack trace and the program should gracefully handle errors.

History

#1 - 2012-03-05 23:55 - Andrew Pippin

- Target version set to Sprint-2012.09-Block.2.1

- Status changed from New to Closed

Added a final exception handler on most commands.

#2 - 2012-03-16 02:35 - Dave Vieglais

- Target version changed from Sprint-2012.09-Block.2.1 to Sprint-2012.11-Block.2.2

- Position set to 7

#3 - 2012-03-16 02:36 - Dave Vieglais

- Position deleted (7)

- Target version changed from Sprint-2012.11-Block.2.2 to Sprint-2012.09-Block.2.1

- Position set to 66
